Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid.quadrilateral
Interface RectifiedGrid

All Superinterfaces:
  GridPositioning, RectifiableGrid

    @UML(identifier="CV_RectifiedGrid",
         specification=ISO_19123)
    public interface RectifiedGrid

extends RectifiableGrid

Grid for which there is an affine transformation between the grid coordinates and the coordinates of an external coordinate reference system. A rectified grid is defined by an origin in an external coordinate reference system, and a set of offset vectors that specify the direction and distance between grid lines within that external CRS.

NOTE: If the coordinate reference system is related to the earth by a datum, the grid is a georectified grid.

Constraints:

- The dimension of the grid shall be less than or equal to the dimension of the coordinate reference system of the point that is the origin.
- The number of offset vectors shall equal the dimension of the grid.
- The dimension of all offset vectors shall equal the dimension of the coordinate reference system, even if an offset vector is aligned with an axis of the external coordinate system.

Method Summary
`CoordinateReferenceSystem` | `getCoordinateReferenceSystem()` Specifies the coordinate system into which this object transforms coordinates.
`List<double[]>` | `getOffsetVectors()` Returns the offset vectors that determine the grid spacing in each direction.
`DirectPosition` | `getOrigin()` Returns the origin of the rectified grid in an external coordinate reference system.

Methods inherited from interface RectifiableGrid
`convertCoordinates, getGridToCRS, inverseConvertCoordinates`

Methods inherited from interface GridPositioning
`getGrid, getInverseOperation, getOperation`

Method Detail

### getOrigin

    @UML(identifier="origin",
         obligation=MANDATORY,
         specification=ISO_19123)
    DirectPosition getOrigin()

  Returns the origin of the rectified grid in an external coordinate reference system.

### getOffsetVectors

    @UML(identifier="offsetVectors",
         obligation=MANDATORY,
         specification=ISO_19123)
    List<double[]> getOffsetVectors()

  Returns the offset vectors that determine the grid spacing in each direction. The vectors are defined in terms of the external coordinate reference system.

### getCoordinateReferenceSystem

    @Extension
    CoordinateReferenceSystem getCoordinateReferenceSystem()

  Specifies the coordinate system into which this object transforms coordinates. ISO 19123 only specifies this association on the `ReferenceableGrid` type, but it is promoted to this superclass because it is required by both ReferenceableGrid and RectifiedGrid. In the context of the `RectifiedGrid` type, the coordinate reference system attribute inherited from grid positioning shall be derived from the Coordinate Reference System association of the origin.

  Specified by:
    `getCoordinateReferenceSystem` in interface `GridPositioning`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.